<?php

namespace App\Imports;

use App\Models\Product;
use App\Models\Category;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class ProductsImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        $category_id  = Category::where('code','=',$row['category_code'])->first()->id;
        $digital_menue = $row['digital_menu'];
        $pos = strtolower($row['pos']);
        $pos_toSave = false;
        $lower = strtolower($digital_menue);
        $digital_menue_toSave = false;
        if($lower =="yes")  $digital_menue_toSave = true;
        if($pos == "yes")  $pos_toSave =true;

        return new Product([
            'name_ar'=> $row['name_ar'],
            'name_en'=> $row['name_en'],
            'code'=> $row['code'],
            'cost_price'=> $row['cost_price'],
            'selling_price'=> $row['selling_price'],
            'discount'=> $row['discount'],
            'category_id'=> $category_id,
            'digital_menu'=> $digital_menue_toSave,
            'pos'=> $pos_toSave
        ]);
    }
}
