<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Inventory extends Model
{
    use HasFactory;
    // use SoftDeletes;
    public $timestamps = true;
    protected $fillable = [
        'item_id',
        'quantity',
    ];
    protected $dates        = ['deleted_at'];

    // one to many relationship between Inventories table and Items table
    public function items()
    {
        return $this->belongsTo(Item::class, 'item_id');
    }
}
