<?php

namespace Database\Factories;

use App\Models\Category;
use Illuminate\Database\Eloquent\Factories\Factory;

class CategoryFactory extends Factory
{
    protected $model = Category::class;
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'name_en' => $this->faker->name,
            'name_ar' => $this->faker->name,
            'code'=> $this->faker->randomDigit,
            'dicount'=> $this->faker->randomDigit,
            'pos' =>$this->faker->boolean(),
            'digital_menu' =>$this->faker->boolean(),
            'parent_cat' =>$this->faker->optional()->randomElement(Category::all()->pluck('id'))
        ];
    }
}
