<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Kuppitek - @yield('title') </title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="{{asset('assets/main.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/dashboard.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/select2.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/sweetalert.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css.css')}}" rel="stylesheet">
        <link  rel="stylesheet" href="{{ asset('assets/dist/css/bootstrap.min.css') }}"/>
        <link href="{{asset('assets/dist/css/dataTables.bootstrap5.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/dist/css/buttons.bootstrap5.min.css')}}" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
        <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    {{-- datatable --}}
        <link rel="stylesheet" href="{{ asset('assets/css/datatable.min.css') }}" />
        <title>
            @php
                $language = app()->getLocale();
            @endphp
            @if ($language=='ar')
                طباعة الفاتورة
                @php

                $direction = 'style=direction:rtl;';
                @endphp
            @else
                Print Invoice
                @php

                $direction = 'style=direction:ltr;';
                @endphp
            @endif
        </title>

        <style>
            body{
                size: A5
            }
            *,h6{
                font-size: 13px !important;
            }
        </style>

    </head>

    <body {{$direction}} style="font-size: 14px !important">

        <div class="container" style="margin-top: 10px !important;margin-bottom: 10px !important">
            {!!$content!!}
        </div>
        <script type="text/javascript" src="{{asset('assets/scripts/main.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script src="{{ asset('assets/dist/js/app.js') }}"></script>
        <script src="{{asset('assets/dist/js/jquery.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/bootstrap.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/jquery.dataTables.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/dataTables.bootstrap5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/dataTables.buttons.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.bootstrap5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.html5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.flash.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.print.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/jszip.min.js')}}"></script>
        <script src="{{asset('assets/js/select2.min.js')}}"></script>
        <script src="{{asset('assets/js/sweetalert2.js')}}"></script>
        <script>
            //var print_type = <?php if(isset($type)){ echo 1;}else{echo 0;}?>;
            //if(print_type){
                $(document).ready(function(){
                    window.print();
                    window.onafterprint = window.close;
                })
            //}
        </script>
    </body>
</html>

