<?php $__env->startSection('title'); ?>
<?php
    $language = app()->getLocale()
?>
<?php if($language == 'ar'): ?>
    المنتجات
<?php else: ?>
    Products
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $user = auth()->user();
$language = app()->getLocale();
if ($language == 'en')
    $lang='ar';
else
    $lang='en';
?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.products')); ?></h5>
                
                <a style="text-decoration: none;" href="<?php echo e(route('products.create')); ?>" class="bg-blue text-white p-2 border-round fw-bold"><?php echo e(__('messages.add_product')); ?></a>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                    <tr class="darkblue">
                        <th>#</th>
                        <th><?php echo e(__('messages.name_en')); ?></th>
                        <th><?php echo e(__('messages.name_ar')); ?></th>
                        <th><?php echo e(__('messages.code')); ?></th>
                        <th><?php echo e(__('messages.cat')); ?></th>
                        <th><?php echo e(__('messages.pos')); ?></th>
                        <th><?php echo e(__('messages.action')); ?></th>
                    </tr>
                </thead>
                <tbody>
                <?php
                        if(count($categories)>0){
                            $counter= count($categories)+1;
                        }else{
                            $counter=1;
                        }
                    ?>
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                    <td>
                           <?php echo e($counter); ?>

                         </td>
                        <td><?php echo e($product->name_en); ?></td>
                        <td><?php echo e($product->name_ar); ?></td>
                        <td><?php echo e($product->code); ?></td>

                        <td>
                            <?php if($language == 'ar'): ?>
                                <?php echo e($product->category->name_ar); ?>

                            <?php else: ?>
                                <?php echo e($product->category->name_en); ?>

                            <?php endif; ?>
                        </td>
                        <td>
                        <?php if(  $product->pos ==1 ): ?>
                        <?php if($language == 'ar'): ?>
                                     نعم
                                <?php else: ?>
                                      yes
                                 <?php endif; ?>
                            <?php else: ?>
                              <?php if($language == 'ar'): ?>
                                     لا
                                <?php else: ?>
                                      no
                                     <?php endif; ?>
                            <?php endif; ?>

                         </td>
                        <td>
                            <div class="d-flex align-items-center">
                                <a href="<?php echo e(route('products.edit', ['product'=>$product->id])); ?>"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                <a href="<?php echo e(route('products.show', $product->id)); ?>"><i class="px-2 fa-solid fa-eye"></i></a>

                                <a href="<?php echo e(route('delete_product', ['id'=>$product->id])); ?>" class="del_product"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                            </div>
                        </td>
                    </tr>
                    <?php
                            $counter--;
                        ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
    excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
    console.log(excel);

</script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
     $(document).ready(function(){
        $('.del_product').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                Swal.fire({
                                    title: 'Deleted',
                                    text: "your purchase has been deleted!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    timer:1000
                                })
                                    location.reload();
                            }
                        });
                    }
                })
            })
        })
    })
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/products/index.blade.php ENDPATH**/ ?>