<html>
<head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    <title>Kuppitek</title>
    <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">

    <script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>
</head>
<body class="bg-plum-plate d-flex align-items-center flex-column justify-content-center h-100vh">

<div class="modal-dialog w-100 mx-auto">
    <div class="modal-content">
        <div class="modal-body">
            <div class="h5 modal-title text-center">
                <h4 class="mt-2">
                    <img  src="<?php echo e(asset('assets/images/logo.jpeg')); ?>" alt="logo" style="width: 200px">
                </h4>
            </div>
            <form class="mb-0"method="POST" action="<?php echo e(route('login')); ?>">
                <?php echo csrf_field(); ?>
                <div class="form-row py-2">
                    <div class="col-md-12">
                        <div class="mb-3 row">
                            <label for="staticEmail" class="col-md-3 col-12 col-form-label">User Email</label>
                            <div class="col-md-9 col-12">
                              <input name="email" id="exampleEmail"  placeholder="Enter Your email" type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                            </div>
                        </div>
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-12">
                        <div class="mb-3 row">
                            <label for="staticEmail" class="col-md-3 col-12 col-form-label">Password</label>
                            <div class="col-md-9 col-12">
                              <input name="password" id="examplePassword" placeholder="Enter your password" type="password" class="form-control">
                            </div>
                        </div>
                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>
                
                <div class="modal-footer d-block">
                    <div class="row w-100 ml-0">
                        <div class="col-12 d-flex justify-content-center mb-3">
                            <button type="submit" class="btn btn-primary " style="width: 90%">Login </button>
                        </div>
                        <div class="col-md-6">
                            <a href="<?php echo e(route('forget_pass_page')); ?>">Forget Password?</a>
                        </div>
                        <div class="col-md-6 d-flex justify-content-end">
                            <div class="form-check">
                                <input class="form-check-input remember_me" type="checkbox" name="remember_me" value="0" id="remember_me">
                                <label class="form-check-label remember_me" for="flexCheckDefault">
                                  Remember Me
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
            
            
        </div>

    </div>
</div>
<script>
    $(document).ready(function(){
        $('.remember_me').each(function(){
            $(this).on('click',function(){
                if($('#remember_me').is(':checked')){
                    $('#remember_me').val(1)
                }else{
                    $('#remember_me').val(0)
                }
            })
        })
    })
</script>
</body>
</html>

<?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/auth/login.blade.php ENDPATH**/ ?>