<?php $__env->startSection('title'); ?>
    <?php
        $language = app()->getLocale();
    ?>
    <?php if($language == 'ar'): ?>
        عرض الطلب
    <?php else: ?>
        Show Order
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">

                <?php
                    switch( strlen((string)$order->id)){
                        case('1'):
                            $order_number = '00000'.$order->id;
                            break;
                        case('2'):
                            $order_number = '0000'.$order->id;
                            break;
                        case('3'):
                            $order_number = '000'.$order->id;
                            break;
                        case('4'):
                            $order_number = '00'.$order->id;
                            break;
                        case('6'):
                            $order_number = '0'.$order->id;
                            break;
                        default:
                            $order_number = $order->id;
                            break;
                    }
                ?>
                <h5 class="card-title"><?php echo e(__('messages.show_order')); ?> <?php echo e($order_number); ?> </h5>
                <div class="row">
                    <div class="col-md-6">
                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.order_number')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order_number); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.create_date')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value=" <?php echo e(date("F j, Y, g:i a",strtotime($order->created_at))); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.created_by')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php if(!is_null($created_by)): ?><?php echo e($created_by->name); ?><?php endif; ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.modified_date')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e(date("F j, Y, g:i a",strtotime($order->updated_at))); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.modified_by')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php if(!is_null($modified_by)): ?><?php echo e($modified_by->name); ?><?php endif; ?>" readonly>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.table')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order->table_num); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.customer')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order->customer_name); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.waiter')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order->waiter_name); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.payment_method')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order->payment_type); ?>" readonly>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="customer" class="col-sm-5 col-form-label"><?php echo e(__('messages.order_type')); ?></label>
                            <div class="col-sm-7">
                              <input type="text" class="form-control"  value="<?php echo e($order->order_type); ?>" readonly>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <table class="table table-borderless table-striped table-hover" id="ord_pro_table">
                            <input type="hidden" name="product_id[]" id="product_id">
                            <thead class="text-center">
                                
                                <td><?php echo e(__('messages.item_id')); ?></td>
                                <td><?php echo e(__('messages.item_name')); ?></td>
                                <td><?php echo e(__('messages.item_price')); ?></td>
                                <td><?php echo e(__('messages.item_qty')); ?></td>
                                <td><?php echo e(__('messages.total_amount')); ?></td>
                                <td><?php echo e(__('messages.total_taxable_amount')); ?></td>
                                <td><?php echo e(__('messages.total_vat')); ?></td>
                            </thead>
                            <tbody class="text-center" id="ord_pro_table_body">
                                <?php
                                    $language = app()->getLocale();
                                ?>
                                <?php $__currentLoopData = $order->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                    <tr>
                                        <td><?php echo e($product->id); ?></td>
                                        <td>
                                            <?php if($language == 'ar'): ?>
                                                <?php echo e($product->name_ar); ?>

                                            <?php else: ?>
                                                <?php echo e($product->name_en); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo e($product->selling_price); ?></td>
                                        <td><?php echo e($product->pivot->quantity); ?></td>
                                        <td><?php echo e(number_format($product->pivot->total_amount,2)); ?></td>
                                        <td><?php echo e(number_format($product->pivot->taxable_amount,2)); ?></td>
                                        <td><?php echo e(number_format($product->pivot->tax_amount,2)); ?></td>
                                    </tr>
                                    
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8 col-12 mt-5">
                        <table class="table inv_total_table mb-0 " >
                            <tbody style="background-color: #F6F9FD">
                                <tr>
                                    <td style="width: 200px"><?php echo e(__('messages.pos_sub_total')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="sub_total" id="sub_total" step="0.01" value="<?php echo e($order->sub_total); ?>"readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 200px"><?php echo e(__('messages.tax')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="tax" id="tax" step="0.01"  value="<?php echo e($order->tax); ?>" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 200px" class="en_font"><?php echo e(__('messages.discount')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" step="0.001" class="form-control" name="discount" id="discount" step="0.01"  value="<?php echo e($order->discount); ?>" readonly>
                                        <?php if($errors->has('discount')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('discount')); ?></span>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 200px"><?php echo e(__('messages.sub_total_a_dis')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="sub_total" id="sub_total" step="0.01" value="<?php echo e($order->sub_total_a_dis); ?>"readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td  style="width: 200px"><?php echo e(__('messages.tax_a_dis')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="tax" id="tax" step="0.01"  value="<?php echo e($order->tax_a_dis); ?>" readonly>
                                    </td>
                                </tr>

                                <tr style="background-color: #D9E5F5">
                                    <td  style="width: 200px" class="en_font"><?php echo e(__('messages.total_amount')); ?></td>
                                    <td style="width:310px">
                                        <input type="number" class="form-control" name="total" id="total" step="0.01" value="<?php echo e($order->total); ?>" readonly>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <div class="col-md-4 col-12 mt-5">
                        <div class="row">
                            
                            <div class="col-12" style="margin-bottom: 4.5rem">
                                <a href="<?php echo e(route('orders')); ?>"  class="btn bg-info text-white w-100">
                                    <?php echo e(__('messages.back')); ?>

                                </a>
                            </div>
                        </div>
                    </div>
                </div>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/orders/show.blade.php ENDPATH**/ ?>