<?php $__env->startSection('title'); ?>
<?php
    $language = app()->getLocale();
?>

<?php if($language == 'en'): ?>

    <?php if($status == 'edit'): ?>
        Edit User
    <?php else: ?>
        <?php if($status == 'show'): ?>
            Show User
        <?php else: ?>
            Add User
        <?php endif; ?>
    <?php endif; ?>
<?php else: ?>
    <?php if($status == 'edit'): ?>
        تعديل مستخدم
    <?php else: ?>
        <?php if($status == 'show'): ?>
            عرض مستخدم
        <?php else: ?>
           اضافة مستخدم
        <?php endif; ?>
    <?php endif; ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>

<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <h5 class="card-title">
                <?php if($status == 'edit'): ?>
                    <?php echo e(__('messages.edit_user')); ?>

                <?php else: ?>
                    <?php if($status == 'show'): ?>
                        <?php echo e(__('messages.show_user')); ?>

                    <?php else: ?>
                        <?php echo e(__('messages.add_user')); ?>

                    <?php endif; ?>
                <?php endif; ?>
            </h5>
            <form action="<?php echo e(route('insert_update_user')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <?php if($status == 'edit'): ?>
                    <input type="hidden" name="user_id" value="<?php echo e($user->id); ?>">
                    <input type="hidden" name="conf_type" id="conf_type" value="0">
                <?php endif; ?>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.full_name')); ?> </label>
                        <input name="name" id="name" placeholder="<?php echo e(__('messages.full_name')); ?>" class="form-control" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->name); ?>"<?php endif; ?> <?php if($status=='show'): ?><?php echo e('readonly'); ?><?php endif; ?> required>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class=""><?php echo e(__('messages.username')); ?></label>
                        <input name="username" id="username" placeholder="<?php echo e(__('messages.username')); ?>" class="form-control" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->username); ?>"<?php endif; ?> <?php if($status=='show'): ?><?php echo e('readonly'); ?><?php endif; ?> required autocomplete="false">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class=""><?php echo e(__('messages.email')); ?></label>
                        <input name="email" id="email" placeholder="<?php echo e(__('messages.email')); ?>" class="form-control" type="email" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->email); ?>"<?php endif; ?> <?php if($status=='show'): ?><?php echo e('readonly'); ?><?php endif; ?> required>
                    </div>
                    <div class="position-relative form-group col-md-4">
                        <label for="password" class=""><?php echo e(__('messages.password')); ?></label>
                        <input type="password" name="password" id="password" placeholder="<?php echo e(__('messages.password')); ?>" class="form-control" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->password); ?>" readonly <?php endif; ?> required autocomplete="false">
                    </div>
                    <?php if($status == 'edit'): ?>
                        <div class="position-relative form-group col-md-2 d-flex justify-content-center align-items-center mb-0">
                            <a href="#" class=" btn btn-primary text-white change_pass" style="margin-top:15px;font-size: 14px"><?php echo e(__('messages.change_pass_btn')); ?></a>
                        </div>

                        <div class="position-relative form-group col-md-6 confirm_password d-none">
                            <label for="password" class=""><?php echo e(__('messages.confirm_password')); ?></label>
                            <input type="password" name="confirm_password" id="confirm_pass_input" placeholder="<?php echo e(__('messages.confirm_password')); ?>" class="form-control">
                            <span class="text-danger" id="conf_error"><small></small></span>
                        </div>
                    <?php endif; ?>
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class=""><?php echo e(__('messages.residence_id')); ?></label>
                        <input name="residence_id" id="residence_id" placeholder="<?php echo e(__('messages.residence_id')); ?>" class="form-control" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->residence_id); ?>"<?php endif; ?> <?php if($status=='show'): ?><?php echo e('readonly'); ?><?php endif; ?> required>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class=""><?php echo e(__('messages.role')); ?></label>
                        <?php if(strpos(Request()->url(), "profile")!==false): ?>
                            <input type="hidden" name=role value="<?php echo e(Auth::user()->role->id); ?>">
                        <?php endif; ?>
                        <select name="role" id="role" class="form-control" required <?php if(strpos(Request()->url(), "profile")!==false || $status == 'show'): ?> disabled <?php endif; ?>>
                                <option value="" selected disabled hidden><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.role')); ?></option>
                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                
                                <?php if(strpos(Request()->url(), "profile")!==false): ?>
                                    <option value="<?php echo e($role->id); ?>" <?php if(($status == 'edit' || $status=='show') && Auth::user()->role->id == $role->id): ?> <?php echo e('selected'); ?> <?php endif; ?>><?php echo e($role->name); ?></option>
                                <?php else: ?>
                                    <?php if(($status == 'add' && (Auth::user()->role->id == 3 && ($role->id == 1 || $role->id == 2 || $role->id == 3))) ||
                                        ($status == 'edit') && (Auth::user()->role->id == 3 && ($role->id == 1 || $role->id == 2 ))): ?>
                                        <?php continue; ?>
                                    <?php else: ?>
                                        <?php if(($status == 'add' &&Auth::user()->role->id == 2 && ($role->id == 1 || $role->id == 2)) ||
                                            ($status == 'edit') && (Auth::user()->role->id == 2 && ($role->id == 1))): ?>
                                            <?php continue; ?>
                                        <?php else: ?>
                                            <?php if(Auth::user()->role->id == 1 && $role->id == 1): ?>
                                                <?php continue; ?>
                                            <?php else: ?>
                                                <?php if(($status =='add' || $status =='edit') && !is_null($check_owner) && $role->id == 2): ?>
                                                    <?php continue; ?>
                                                <?php else: ?>
                                                    <option value="<?php echo e($role->id); ?>" <?php if(($status == 'edit' || $status=='show') && $user->role_id == $role->id): ?> <?php echo e('selected'); ?> <?php endif; ?>><?php echo e($role->name); ?></option>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>

                                
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class=""><?php echo e(__('messages.phone')); ?></label>
                        <input name="phone" id="phone" placeholder="<?php echo e(__('messages.phone')); ?>" class="form-control" type="phone" <?php if($status == 'edit' || $status=='show'): ?> value="<?php echo e($user->phone); ?>"<?php endif; ?> <?php if($status=='show'): ?><?php echo e('readonly'); ?><?php endif; ?> required>
                    </div>
                </div>
                <a href="<?php echo e(route('all_users')); ?>" class="mt-1 btn <?php if($status == 'show'): ?> <?php echo e('btn-primary'); ?> <?php else: ?> <?php echo e('btn-danger'); ?> <?php endif; ?>">
                    <?php if($status == 'show'): ?>
                        <?php echo e(__('messages.back')); ?>

                    <?php else: ?>
                        <?php echo e(__('messages.cancel')); ?>

                    <?php endif; ?>
                </a>
                <?php if($status != 'show'): ?>
                    <button class="mt-1 btn btn-primary text-white"><?php echo e(__('messages.save')); ?></button>
                <?php endif; ?>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script>
    var last_pass = $('#password').val();
    $('.change_pass').on('click',function(event){
        event.preventDefault();
        $('#password').removeAttr('readonly')

        if($('.confirm_password').hasClass('d-none')){
            $('#conf_type').val(1)
            $('#password').val('');
        }else{
            $('#password').attr('readonly','readonly')
            $('#conf_type').val(0)
            $('#password').val(last_pass);
            $('#confirm_pass_input').val('');
        }
        $('.confirm_password').toggleClass('d-none')
    })

    $('#confirm_pass_input').on('keyup',function(){
        if($('#confirm_pass_input').val() != $('#password').val()){
            $('#conf_error').children('small').text('Confirm password should by matched password')
        }else{
            $('#conf_error').children('small').text('Confirm password matched password')
            $('#conf_error').toggleClass('text-danger text-success')
        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/users/add.blade.php ENDPATH**/ ?>