<?php $__env->startSection('title'); ?>
    <?php
        $language = app()->getLocale();
    ?>
    <?php if($language=='ar'): ?>
        المستخدمين
    <?php else: ?>
        Users
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.users')); ?></h5>
                <a style="text-decoration: none;" href="<?php echo e(route('add_user')); ?>" class="bg-blue text-white p-2 border-round fw-bold"><?php echo e(__('messages.add_user')); ?></a>
            </div>
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                <tr class="darkblue">
                    
                    <th><?php echo e(__('messages.name')); ?></th>
                    <th><?php echo e(__('messages.role')); ?></th>
                    <th><?php echo e(__('messages.action')); ?></th>
                </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                        <?php if($user->role->id == 1): ?>
                            <?php continue; ?>
                        <?php else: ?>
                            <tr>
                                
                                <td><?php echo e($user->name); ?></td>
                                <td><?php echo e($user->role->name); ?></td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        <a href="<?php echo e(route('edit_user', $user->id)); ?>"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                        <a href="<?php echo e(route('show_user', $user->id)); ?>"><i class="px-2 fa-solid fa-eye"></i></a>
                                        <a href="<?php echo e(route('del_user', ['id'=>$user->id])); ?>" class="del_user"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                                    </div>

                                </td>
                            </tr>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
 excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
 console.log(excel);
</script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function(){
        $('.del_user').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                Swal.fire({
                                    title: 'Deleted',
                                    text: "your user has been deleted!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    timer:1000
                                })
                                    // window.location.href = base_url + 'dashboard/orders';
                                location.reload();
                            }
                        });
                    }
                })
            })
        })
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/dashboard/users/index.blade.php ENDPATH**/ ?>