<?php $__env->startSection('title'); ?>
<?php if($status=='add'): ?>
                <?php echo e(__('messages.add_cat')); ?>

                <?php elseif($status=='edit'): ?>
                <?php echo e(__('messages.edit_cat')); ?>

                <?php elseif($status=='show'): ?>
                <?php echo e(__('messages.show_cat')); ?>

                <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">
                <?php if($status=='add'): ?>
                <?php echo e(__('messages.add_cat')); ?>

                <?php elseif($status=='edit'): ?>
                <?php echo e(__('messages.edit_cat')); ?>

                <?php elseif($status=='show'): ?>
                <?php echo e(__('messages.show_cat')); ?>

                <?php endif; ?>
            </h5>
            <form action="<?php echo e(route('categories.store', $category->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden"  id="id" name="id"  value="<?php echo e($category->id); ?>">
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name_en" class=""><?php echo e(__('messages.name_en')); ?></label>
                        <input required name="name_en" id="name_en" placeholder="<?php echo e(__('messages.name_en')); ?>" class="form-control" value="<?php echo e($category->name_en); ?>" <?php echo e($status=='show' ? 'readonly' : ''); ?>>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="name_ar" class=""><?php echo e(__('messages.name_ar')); ?></label>
                        <input required name="name_ar" id="name_ar" placeholder="<?php echo e(__('messages.name_ar')); ?>" class="form-control" value="<?php echo e($category->name_ar); ?>" <?php echo e($status=='show' ? 'readonly' : ''); ?>>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="code" class=""><?php echo e(__('messages.code')); ?></label>
                        <input required name="code" id="code" placeholder="<?php echo e(__('messages.code')); ?>" class="form-control" value="<?php echo e($category->code); ?>" <?php echo e($status=='show' ? 'readonly' : ''); ?>>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="dicount" class=""><?php echo e(__('messages.discount')); ?></label>
                        <input  name="dicount" id="dicount" placeholder="<?php echo e(__('messages.discount')); ?>" class="form-control" type="number" value="<?php echo e($category->discount); ?>"  step="0.001" <?php echo e($status=='show' ? 'readonly' : ''); ?>>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="parent_cat" class=""><?php echo e(__('messages.parent_cat')); ?></label>
                        <?php if($status!='show'): ?>
                        <select name="parent_id"  id="parent_id" class="form-control">
                            <option value="" selected ><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.parent_cat')); ?></option>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($type->id); ?>" <?php echo e($category->parent_id ==  $type->id ? 'selected' : ''); ?>><?php echo e($type->name_en); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php else: ?>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($category->parent_id ==  $type->id): ?>
                                    <input name="code" id="code" placeholder="<?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.parent_cat')); ?>" class="form-control" value="<?php echo e($type->name_en); ?>" readonly>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </div>
                    <div class="d-flex form-group col-md-6" style="height: 10vh;">
                        <div class="form-check form-switch px-0 mr-3">
                            <label class="form-check-label" for="digital_menu"><?php echo e(__('messages.digitalMenu')); ?></label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu"  name="digital_menu" value ="on" <?php echo e($category->digital_menu == '1' ? 'checked' : ''); ?>>
                          </div>
                          <div class="form-check form-switch px-0">
                            <label class="form-check-label" for="pos"><?php echo e(__('messages.pos')); ?></label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos"  name="pos" value ="on" <?php echo e($category->pos == '1' ? 'checked' : ''); ?>>
                          </div>
                    </div>
                </div>
                <a href="<?php echo e(route('categories.index')); ?>"  class="mt-1 btn btn-primary"><?php echo e(__('messages.back')); ?></a>
                <?php if($status!='show'): ?>
                    <button class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.save')); ?></button>
                <?php endif; ?>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/categories/edit.blade.php ENDPATH**/ ?>