<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Image extends Model
{
    use HasFactory;
    public $timestamps = true;
    protected $fillable = [
        'name',
        'url'
    ];
    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }
}
