<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    use HasFactory;
    public $timestamps = true;
    protected $fillable = [
        'name',
    ];

    // many to many relastionship between Role table and Securable Table
    public function securables()
    {
        return $this->belongsToMany(Securable::class,'roles_securables','role_id','securable_id');
    }
}
