<?php

namespace Database\Seeders;

use App\Models\Role;
use Illuminate\Database\Seeder;
use App\Models\User;

class CreateUsersSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $user = [
            [
                'id' => 1,
                'name'=>'Admin',
                'username'=>'admin',
                'email'=>'admin@admin.com',
                'password'=> bcrypt('123456'),
                'residence_id'=>'a1',
                'phone'=>'065214224',
                'role'=>'1',
            ]
        ];
        foreach ($user as $key => $value) {
            User::create($value);
        }
        $role = [
            [
                'id' => 1,
                'name'=>'SuperAdmin',

            ]
        ];
        foreach ($role as $key => $value) {
            Role::create($value);
        }

    }
}
