<html>
<head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    <title>Receitek</title>
    <link href="{{asset('assets/main.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/dashboard.css')}}" rel="stylesheet">

    <script src="{{asset('assets/js/jquery.min.js')}}"></script>
</head>
<body class="bg-plum-plate d-flex align-items-center flex-column justify-content-center h-100vh">
{{--  <div class="app-logo-inverse mx-auto mb-3 text-center text-white">
    <img  class="w-100per h-100per" src="{{ asset('assets/images/logo.jpeg') }}" alt="logo">
</div>  --}}
<div class="modal-dialog w-100 mx-auto">
    <div class="modal-content">
        <div class="modal-body">
            <div class="h5 modal-title text-center">
                <h4 class="mt-2">
                    <img  src="{{ asset('assets/images/logo.jpeg') }}" alt="logo" style="width: 200px">
                </h4>
            </div>
            <form class="mb-0"method="POST" action="{{ route('login') }}">
                @csrf
                <div class="form-row py-2">
                    <div class="col-md-12">
                        <div class="mb-3 row">
                            <label for="staticEmail" class="col-md-3 col-12 col-form-label">User Email</label>
                            <div class="col-md-9 col-12">
                              <input name="email" id="exampleEmail"  placeholder="Enter Your email" type="email" class="form-control @error('email') is-invalid @enderror">
                            </div>
                        </div>
                        @error('email')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="col-md-12">
                        <div class="mb-3 row">
                            <label for="staticEmail" class="col-md-3 col-12 col-form-label">Password</label>
                            <div class="col-md-9 col-12">
                              <input name="password" id="examplePassword" placeholder="Enter your password" type="password" class="form-control">
                            </div>
                        </div>
                        @error('password')
                        <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                        @enderror
                    </div>
                </div>
                {{-- <div class="position-relative form-check">
                    <input name="check" id="exampleCheck" type="checkbox" class="form-check-input">
                    <label for="exampleCheck" class="form-check-label">Keep me logged in</label>
                </div> --}}
                <div class="modal-footer d-block">
                    <div class="row w-100 ml-0">
                        <div class="col-12 d-flex justify-content-center mb-3">
                            <button type="submit" class="btn btn-primary " style="width: 90%">Login </button>
                        </div>
                        <div class="col-md-6">
                            <a href="{{route('forget_pass_page')}}">Forget Password?</a>
                        </div>
                        <div class="col-md-6 d-flex justify-content-end">
                            <div class="form-check">
                                <input class="form-check-input remember_me" type="checkbox" name="remember_me" value="0" id="remember_me">
                                <label class="form-check-label remember_me" for="flexCheckDefault">
                                  Remember Me
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
            {{-- <div class="divider"></div> --}}
            {{-- <h6 class="mb-0">No account? <a href="javascript:void(0);" class="text-primary">Sign up now</a></h6> --}}
        </div>

    </div>
</div>
<script>
    $(document).ready(function(){
        $('.remember_me').each(function(){
            $(this).on('click',function(){
                if($('#remember_me').is(':checked')){
                    $('#remember_me').val(1)
                }else{
                    $('#remember_me').val(0)
                }
            })
        })
    })
</script>
</body>
</html>

