<?php $user = auth()->user();
$language = app()->getLocale();
if ($language == 'en')
    $lang='ar';
else
    $lang='en';
?>
@include('layouts.side_menu')
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}"  <?php if($language == 'ar') echo 'direction="rtl" dir="rtl"'; ?>>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Receitek - @yield('title') </title>
    {{--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />  --}}
    <link rel="stylesheet" href="{{asset('assets/fontawesome-free-6.1.1-web/css/all.css')}}">
    <link href="{{asset('assets/main.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/dashboard.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/select2.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/sweetalert.min.css')}}" rel="stylesheet">
    {{-- <link href="{{asset('assets/css.css')}}" rel="stylesheet"> --}}
    <link  rel="stylesheet" href="{{ asset('assets/dist/css/bootstrap.min.css') }}"/>
    <link href="{{asset('assets/dist/css/dataTables.bootstrap5.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/dist/css/buttons.bootstrap5.min.css')}}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link href="{{asset('assets/css/bootstrap-toggle.min.css')}}" rel="stylesheet">
    <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    {{-- datatable --}}
    <link rel="stylesheet" href="{{ asset('assets/css/datatable.min.css') }}" />



    <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    @stack('styles')
    <link rel="{{asset('assets/css/bootstrap.min.css')}}" type="text/css"/>
    <script src="{{asset('assets/js/jquery.min.js')}}"></script>
    <script src="{{asset('assets/js/bootstrap-toggle.min.js')}}"></script>
    <script src="{{asset('assets/js/bootstrap.min.js')}}"></script>
    <script	src="{{asset('assets/js/modernizr.min.js')}}" type="text/javascript"></script>
    {{--  <script src="{{asset('assets/js/Chart.min.js')}}"></script>  --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.1/chart.min.js"></script>

    <!--<script type="text/javascript" src="{{asset('assets/js/echarts.min.js')}}"></script>-->
    <script src="{{asset('assets/js/d3.v4.min.js')}}"></script>
    <script src="https://cdn.jsdelivr.net/npm/billboard.js/dist/billboard.min.js"></script>

    @stack('styles')

    <script>
       var base_url    = "https://sa.receitek.com/pos/test/public/",
           image_url   = "https://sa.receitek.com/pos/test/public/";
    </script>
</head>
<body>
<div class="app-container app-theme-white body-tabs-shadow fixed-sidebar fixed-header">
    <div class="app-header header-shadow">
        <div class="app-header__logo">
            <div class="logo-src d-flex justify-content-center w-100">
                <div class="logo-src d-flex justify-content-center w-100">
                    <a href="{{route('dashboard_page')}}">
                        <img  class="w-100per h-100per" src="{{ asset('assets/images/logo.jpeg') }}" alt="logo">
                    </a>
                </div>
            </div>
            <div class="header__pane ml-auto">
                <div>
                    <button type="button" class="hamburger close-sidebar-btn hamburger--elastic" data-class="closed-sidebar">
                            <span class="hamburger-box">
                                <span class="hamburger-inner"></span>
                            </span>
                    </button>
                </div>
            </div>
        </div>
        <div class="app-header__mobile-menu">
            <div>
                <button type="button" class="hamburger hamburger--elastic mobile-toggle-nav">
                        <span class="hamburger-box">
                            <span class="hamburger-inner"></span>
                        </span>
                </button>
            </div>
        </div>
        <div class="app-header__menu">
                <span>
                    <button type="button" class="btn-icon btn-icon-only btn bg-darkblue text-white btn-sm mobile-toggle-header-nav">
                        <span class="btn-icon-wrapper">
                            <i class="fa fa-ellipsis-v fa-w-6"></i>
                        </span>
                    </button>
                </span>
        </div>
        <div class="app-header__content">
            {{-- <div class="app-header-left">
                <div class="search-wrapper">
                    <div class="input-holder">
                        <input type="text" class="search-input" placeholder="Type to search">
                        <button class="search-icon"><span></span></button>
                    </div>
                    <button class="close"></button>
                </div>
                <ul class="header-menu nav">
                    <li class="nav-item">
                        <a href="javascript:void(0);" class="nav-link">
                            <i class="nav-link-icon fa fa-database"> </i>
                            Statistics
                        </a>
                    </li>
                    <li class="btn-group nav-item">
                        <a href="javascript:void(0);" class="nav-link">
                            <i class="nav-link-icon fa fa-edit"></i>
                            Projects
                        </a>
                    </li>
                    <li class="dropdown nav-item">
                        <a href="javascript:void(0);" class="nav-link">
                            <i class="nav-link-icon fa fa-cog"></i>
                            Settings
                        </a>
                    </li>
                </ul>
            </div> --}}
            <div class="app-header-right ">
                <div class="class mx-3">
                    {{-- <a  class="btn btn-primary" href="{{ route('payment-show') }}">
                        Booking now
                    </a> --}}
                </div>
                <div class="header-btn-lg pr-0">
                    <div class="widget-content p-0">
                        <div class="widget-content-wrapper">
                            <div class="widget-content-left">
                                <a href="{{ route('settings.index') }}">
                                    <i class="fa-solid fa-gear metismenu-icon"></i>
                                    {{ __('messages.settings') }}
                                </a>
                            </div>
                            <div class="widget-content-left">

                                <a href="{{ route('changeLang',$lang) }}" class="menu-link d-flex px-5">
															<span class="symbol symbol-20px me-4 pr-1">
																<img class="rounded-1" style="width: 20px;" src="<?php if ($language == 'ar') echo asset('assets/images/united-states.svg'); else echo asset('assets/images/united-arab-emirates.svg'); ?>" alt="lang" />
															</span><?php
                                    if ($language == 'en') {
                                        echo "العربية";

                                    } else {
                                        echo "English";
                                    }
                                    ?>
                                </a>
                            </div>
                            <div class="widget-content-left">
                                <div class="btn-group">
                                    <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="p-0 btn">
                                        {{$user->name}}
                                        <i class="fa fa-angle-down ml-2 opacity-8"></i>
                                    </a>
                                    {{--                                        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">--}}
                                    {{--                                            <button type="button" tabindex="0" class="dropdown-item">User Account</button>--}}
                                    {{--                                            <button type="button" tabindex="0" class="dropdown-item">Settings</button>--}}
                                    {{--                                            <h6 tabindex="-1" class="dropdown-header">Header</h6>--}}
                                    {{--                                            <button type="button" tabindex="0" class="dropdown-item">Actions</button>--}}
                                    {{--                                            <div tabindex="-1" class="dropdown-divider"></div>--}}
                                    {{--                                            <button type="button" tabindex="0" class="dropdown-item">Dividers</button>--}}
                                    {{--                                        </div>--}}
                                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
                                        {{-- <a  href="{{ route('users.show', [$user->id]) }}" tabindex="0" class="dropdown-item">User Account</a> --}}
                                        {{--                                            <a href="#"  tabindex="0" class="dropdown-item">Settings</a>--}}
                                        {{--                                        <h6 tabindex="-1" class="dropdown-header">Header</h6>--}}
                                        {{--                                        <button type="button" tabindex="0" class="dropdown-item">Actions</button>--}}
                                        {{--                                            <div tabindex="-1" class="dropdown-divider"></div>--}}
                                        {{--                                                                                    <form action="{{ route('logout') }}" method="post">--}}
                                        {{--                                                                                        @csrf--}}
                                        {{--                                                                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">--}}
                                        {{--                                                                                        <button type="submit" class="dropdown-item">Logout</button>--}}
                                        {{--                                                                                    </form>--}}
                                        <a href="{{ route('logout') }}" tabindex="0" onclick="event.preventDefault();
                                            document.getElementById('logout-form').submit();" class="dropdown-item" >{{ __('messages.logout') }}</a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                            @csrf
                                            {{ method_field('POST') }}
                                        </form>
                                        <a href="{{route('profile',['id'=>$user->id])}}" class="dropdown-item">
                                            {{__('messages.profile')}}
                                        </a>
                                    </div>

                                </div>
                            </div>
                            <div class="widget-content-left  ml-3 header-user-info">
                                <div class="widget-heading">
                                    {{-- {{$user->username}} --}}
                                </div>
                                <div class="widget-subheading">
                                    {{-- {{$user->position}} --}}
                                </div>
                            </div>

                            {{--                                <div class="widget-content-left  ml-3 header-user-info">--}}
                            {{--                                    <div class="widget-heading">--}}
                            {{--                                        Alina Mclourd--}}
                            {{--                                    </div>--}}
                            {{--                                    <div class="widget-subheading">--}}
                            {{--                                        VP People Manager--}}
                            {{--                                    </div>--}}
                            {{--                                </div>--}}
{{--                            <div class="widget-content-right header-user-info ml-3">--}}
{{--                                <button type="button" class="btn-shadow p-1 btn btn-primary btn-sm show-toastr-example">--}}
{{--                                    <i class="fa text-white fa-calendar pr-1 pl-1"></i>--}}
{{--                                </button>--}}
{{--                            </div>--}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="app-main">
        <div class="app-sidebar sidebar-shadow">
            <div class="app-header__logo">
                <div class="logo-src"></div>
                <div class="header__pane ml-auto">
                    <div>
                        <button type="button" class="hamburger close-sidebar-btn hamburger--elastic" data-class="closed-sidebar">
                                <span class="hamburger-box">
                                    <span class="hamburger-inner"></span>
                                </span>
                        </button>
                    </div>
                </div>
            </div>
            <div class="app-header__mobile-menu">
                <div>
                    <button type="button" class="hamburger hamburger--elastic mobile-toggle-nav">
                            <span class="hamburger-box">
                                <span class="hamburger-inner"></span>
                            </span>
                    </button>
                </div>
            </div>
            <div class="app-header__menu">
                    <span>
                        <button type="button" class="btn-icon btn-icon-only btn btn-primary btn-sm mobile-toggle-header-nav">
                            <span class="btn-icon-wrapper">
                                <i class="fa fa-ellipsis-v fa-w-6"></i>
                            </span>
                        </button>
                    </span>
            </div>
            <div class="scrollbar-sidebar">
                <div class="app-sidebar__inner">
                    @yield('side_menu')
                </div>
            </div>
        </div>
        <div class="app-main__outer">
            <div class="app-main__inner">
                @yield('content')
            </div>
            <div class="app-wrapper-footer">
                <div class="app-footer">
                    <div class="app-footer__inner d-flex aling-items-center justify-content-center">
                        <p class="mb-0 darkblue">Receitek POS v1.0</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<style>
    .dt-buttons .btn{
        margin: 2px!important;
        border-radius: 0.25rem!important;
    }
    .badge-success {
        color: #FFFFFF;
        background-color: #1c3faa;
        margin: 0.5rem;
    }
     /* -- quantity box -- */

.quantity {
    display: inline-block; }

   .quantity .input-text.qty {
    width: 35px;
    height: 39px;
    padding: 0 5px;
    text-align: center;
    background-color: transparent;
    border: 1px solid #efefef;
   }

   .quantity.buttons_added {
    text-align: left;
    position: relative;
    white-space: nowrap;
    vertical-align: top; }

   .quantity.buttons_added input {
    display: inline-block;
    margin: 0;
    vertical-align: top;
    box-shadow: none;
   }

   .quantity.buttons_added .minus,
   .quantity.buttons_added .plus {
    padding: 7px 10px 8px;
    height: 41px;
    background-color: #ffffff;
    border: 1px solid #efefef;
    cursor:pointer;}

   .quantity.buttons_added .minus {
    border-right: 0; }

   .quantity.buttons_added .plus {
    border-left: 0; }

   .quantity.buttons_added .minus:hover,
   .quantity.buttons_added .plus:hover {
    background: #eeeeee; }

    .quantity input::-webkit-outer-spin-button,
    .quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
        margin: 0;
    }

    .quantity.buttons_added .minus:focus,
    .quantity.buttons_added .plus:focus {
        outline: none;
     }

</style>
    <!-- Modal -->
    <div class="modal " id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p class="mb-0">Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="{{asset('assets/scripts/main.js')}}"></script>
    <script src="https://cdn.tutorialjinni.com/pdfmake/0.2.2/pdfmake.min.js"></script>
    <script src="https://cdn.tutorialjinni.com/pdfmake/0.2.2/vfs_fonts.js"></script>
    <script src="{{ asset('assets/dist/js/app.js') }}"></script>
    <script src="{{asset('assets/dist/js/jquery.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/bootstrap.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/dataTables.bootstrap5.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/vfs_fonts.js')}}"></script>
    <script src="{{asset('assets/dist/js/pdfmake.js')}}"></script>
    <script src="{{asset('assets/dist/js/buttons.bootstrap5.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/buttons.html5.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/buttons.flash.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/buttons.print.min.js')}}"></script>
    <script src="{{asset('assets/dist/js/jszip.min.js')}}"></script>
    <script src="{{asset('assets/js/select2.min.js')}}"></script>
    <script src="{{asset('assets/js/sweetalert2.js')}}"></script>
    <script src="http://maps.google.com/maps/api/js?sensor=true"></script>
    <script type="text/javascript" src="{{asset('assets/scripts/main.js')}}"></script>
    {{--<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>--}}
    @yield('script')
    <script type="text/javascript">
        pdfMake.fonts = {
                Roboto: {
                    normal: 'Roboto-Regular.ttf',
                    bold: 'Roboto-Medium.ttf',
                    italics: 'Roboto-Italic.ttf',
                    bolditalics: 'Roboto-MediumItalic.ttf'
                },
                nikosh: {
                    normal: "NikoshBAN.ttf",
                    bold: "NikoshBAN.ttf",
                    italics: "NikoshBAN.ttf",
                    bolditalics: "NikoshBAN.ttf"
                },
                Almarai: {
                    normal:'Almarai-Regular.ttf',
                    bold: 'Almarai-Bold.ttf',
                    light: 'Almarai-Light.ttf',
                    bolditalics: 'Almarai-ExtraBold.ttf'
                },

            };
        $('#example').DataTable( {
            responsive: true,
            scrollX: true,
            stateSave: false,
            autoWidth: false,
            pageLength: 10,
            aaSorting: [],
            dom: 'Blftip',
            lengthMenu: [ [10, 25, 50, -1], [10, 25, 50, 'All'] ],
            buttons: [
                {
                    extend: 'pdf',
                    customize: function(doc) {
                        doc.defaultStyle.font = 'Almarai';
                    },
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'print',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'copy',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'excel',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                }
            ]
            ,
            "columnDefs": [
                { "width": "20%", "targets": 0 },
                { "width": "15%", "targets": 0 },
                { "width": "15%", "targets": 0 },
                { "width": "15%", "targets": 0 },
                { "width": "5%", "targets": 0 }
            ],

            "language": {
                "url": "{{asset('ar.json')}}"
            }
        } );
    </script>
    <script>
        $('.back_btn').each(function(){
            $(this).on('click',function(event){
                event.preventDefault()
                window.history.back();
            })
        })
        $('.cancel_btn').each(function(){
            $(this).on('click',function(event){
                event.preventDefault()
                location.reload();
            })
        })
    </script>
</body>
</html>



