<?php $__env->startSection('title'); ?>
Add Category
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.add_cat')); ?></h5>
            <form action="<?php echo e(route('categories.store')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name_en" class=""><?php echo e(__('messages.name_en')); ?></label>
                        <input name="name_en" id="name_en" placeholder="<?php echo e(__('messages.name_en')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="name_ar" class=""><?php echo e(__('messages.name_ar')); ?></label>
                        <input name="name_ar" id="name_ar" placeholder="<?php echo e(__('messages.name_ar')); ?>" class="form-control">
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="code" class=""><?php echo e(__('messages.code')); ?></label>
                        <input name="code" id="code" placeholder="<?php echo e(__('messages.code')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="dicount" class=""><?php echo e(__('messages.discount')); ?></label>
                        <input name="dicount" id="dicount" placeholder="<?php echo e(__('messages.discount')); ?>" class="form-control" type="number"  step="0.001" >
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="parent_id" class=""><?php echo e(__('messages.parent_cat')); ?></label>
                        <select name="parent_id" id="parent_id" class="form-control">
                            <option value="" selected ><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.parent_cat')); ?></option>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($type->id); ?>" ><?php echo e($type->name_en); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="d-flex form-group col-md-6" style="height: 10vh;">
                        <div class="form-check form-switch px-0 mr-3">
                            <label class="form-check-label" for="digital_menu"><?php echo e(__('messages.digitalMenu')); ?></label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="digital_menu" name="digital_menu">
                        </div>
                        <div class="form-check form-switch px-0">
                            <label class="form-check-label" for="pos"><?php echo e(__('messages.pos')); ?></label>
                            <input class="form-check-input form-control ml-0 my-3" type="checkbox" id="pos" name="pos">
                        </div>
                    </div>
                </div>
                <a href="/dashboard/categories"  class="mt-1 btn btn-danger"><?php echo e(__('messages.cancel')); ?></a>
                <button class="mt-1 btn btn-primary text-white"><?php echo e(__('messages.save')); ?></button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/categories/add.blade.php ENDPATH**/ ?>