
<?php $__env->startSection('title'); ?>
Settings
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.settings')); ?></h5>
            <form action="<?php echo e(route('settings.store')); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="company_name" class=""><?php echo e(__('messages.company_name')); ?></label>
                        <input name="company_name" id="company_name" placeholder="<?php echo e(__('messages.company_name')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="coffee_name" class=""><?php echo e(__('messages.coffe_name')); ?></label>
                        <input name="coffee_name" id="coffee_name" placeholder="<?php echo e(__('messages.coffe_name')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class=""><?php echo e(__('messages.contactPerson')); ?></label>
                        <input name="contact_person" id="contact_person" placeholder="<?php echo e(__('messages.contactPerson')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class=""><?php echo e(__('messages.contactPersonEmail')); ?></label>
                        <input name="contact_person_email" id="contact_person_email" placeholder="<?php echo e(__('messages.contactPersonEmail')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class=""><?php echo e(__('messages.contactPersonNum')); ?></label>
                        <input name="contact_person_phone" id="contact_person_phone" placeholder="<?php echo e(__('messages.contactPersonNum')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class=""><?php echo e(__('messages.country')); ?></label>
                        <input name="country" id="country" placeholder="<?php echo e(__('messages.country')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class=""><?php echo e(__('messages.city')); ?></label>
                        <input name="city" id="city" placeholder="<?php echo e(__('messages.city')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class=""><?php echo e(__('messages.address')); ?></label>
                        <input name="address" id="address" placeholder="<?php echo e(__('messages.address')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class=""><?php echo e(__('messages.reg_num')); ?></label>
                        <input name="registeration_number" id="registeration_number" placeholder="<?php echo e(__('messages.reg_num')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class=""><?php echo e(__('messages.vat_num')); ?></label>
                        <input name="vat_number" id="vat_number" placeholder="<?php echo e(__('messages.vat_num')); ?>" class="form-control">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="logo" class=""><?php echo e(__('messages.logo')); ?></label>
                        <input type="file" id="logo" name="logo" class="form-control" accept="image/*" />
                    </div>
                </div>
                <button class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.save')); ?></button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/settings/index.blade.php ENDPATH**/ ?>